/*
 * Created on 26-apr-2004
 */
package jaCop.domain;

import convFramework.domain.IConversationID;
import convFramework.domain.IPacketID;

/**
 * @author Lompa
 */
public class NewStructure extends COPPacket {
	
	private COPNode[] neighbors = null;
	private int connectionRank = 2;
	
	/**
	 * @param community
	 * @param sender
	 * @param convID
	 * @param packetID
	 */
	public NewStructure(String community, COPNode sender,
			IConversationID convID, IPacketID packetID) {
		super(community, sender, convID, packetID);
	}
	/**
	 * @return Returns the neighbors.
	 */
	public COPNode[] getNeighbors() {
		return neighbors;
	}
	/**
	 * @param neighbors The neighbors to set.
	 */
	public void setNeighbors(COPNode[] neighbors) {
		this.neighbors = neighbors;
	}
	/* (non-Javadoc)
	 * @see jaCop.domain.A3Packet#getType()
	 */
	public String getType() {
		return getTypeDescription();
	}
	
	/* (non-Javadoc)
	 * @see jaCop.domain.A3Packet#getTypeDescription()
	 */
	public static String getTypeDescription(){
		return "newStructure";
	}
	/**
	 * @return Returns the connectionRank.
	 */
	public int getConnectionRank() {
		return connectionRank;
	}
	/**
	 * @param connectionRank The connectionRank to set.
	 */
	public void setConnectionRank(int connectionRank) {
		this.connectionRank = connectionRank;
	}
}
